package com.zcxk.charge.api.enums;

import com.zcxk.core.common.support.RespCode;
import lombok.Getter;

/**
 * @author Andy
 * @version V1.0
 **/
@Getter
public enum ChargeErrorEnum implements RespCode {

    /**
     * 所选场景类型已经被引用，不能被删除
     */
    SCENETYPE_NAME_ALREADY_EXISTS(100011, "所选场景类型已经被引用，不能被删除"),

    /**
     * 场景类型名称重复
     */
    SCENE_TYPE_NAME_ALREADY_EXISTS(900015,"场景类型名称重复"),

    /**
     * 上级场景不能选择当前编辑场景
     */
    SCENE_PARENT_ALREADY_EXISTS(900016,"上级场景不能选择当前编辑场景"),

    /**
     * 该公司存在该月营收数据不能保存
     */
    EXIST_IS_REVENUE_ERROR(800004,"该公司存在该月营收数据不能保存"),

    /**
     * 存在下级信息不能删除
     */
    EXSIT_IS_PARENT_ERROR(800001,"存在下级信息不能删除"),

    /**
     * 未选择任何设备或标签信息
     */
    DEVICE_PARENT_ALREADY_EXISTS(900017,"未选择任何设备或标签信息"),

    /**
     * 公司/部门信息错误
     */
    ORG_INFO_ERROR(300009,"公司/部门信息错误"),

    /**
     * 系统错误
     */
    SYSTEM_ERROR(999999, "系统错误"),

    /**
     * 参数缺失
     */
    PARAM_ERROR(700001, "参数缺失"),

    /**
     * 信息不存在
     */
    OBJECT_ERROR(800001, "信息不存在"),

    /**
     * 安全密码错误
     */
    OP_PASSWORD_ERROR(910004,"安全密码错误！"),
    ;

    /**
     * 状态码
     */
    private int status;

    /**
     * 错误消息
     */
    private String message;

    ChargeErrorEnum(int status, String message){
        this.status  = status;
        this.message = message;
    }

    @Override
    public int getStatus() {
        return status;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
